import { HTMLProps } from "react";
export interface SwitchProps extends HTMLProps<HTMLButtonElement> {
    /** html tag @defaultValue 'button' */
    tag?: "button" | "div";
    /** Diameter of the color switch */
    size?: number;
    /** Skip system colorScheme while toggling */
    skipSystem?: boolean;
}
/**
 * Switch button to quickly toggle user preference.
 *
 * @example
 * ```tsx
 * <Switch [size={20} skipSystem]/>
 * ```
 *
 * @source - Source code
 */
export declare const Switch: ({ tag: Tag, size, skipSystem, children, ...tagProps }: SwitchProps) => import("react/jsx-runtime").JSX.Element;
