import { ColorSchemePreference, ResolvedScheme } from "../utils";
export interface UseModeYeild {
    mode: ColorSchemePreference;
    systemMode: ResolvedScheme;
    resolvedMode: ResolvedScheme;
    setMode: (mode: ColorSchemePreference) => void;
}
/**
 * use this hook to gain access to mode state and setter.
 *
 * @example
 * ```tsx
 * const {resolvedMode, setMode} = useMode(options);
 * ```
 *
 * @source - Source code
 */
export declare const useMode: () => UseModeYeild;
